#include <afxwin.h>
#include <math.h>

#define CIRCLE_TIMER  100
#define PI  3.1458
#define RAD 100

class CMainFrame: public CFrameWnd
{
	DECLARE_MESSAGE_MAP()
	POINT center;
	int angle;
public:
	CMainFrame()
	{
	}

	void OnLButtonUp(UINT /**/, CPoint pt)
	{
		OnRButtonUp(0, pt);
		POINT point = {pt.x, pt.y};
		ClientToScreen(&point);
		center = point;
		SetTimer(CIRCLE_TIMER, 100, NULL);
	}

	void OnRButtonUp(UINT /**/, CPoint /**/)
	{
		KillTimer(CIRCLE_TIMER);
		angle = 0;
	}

	void OnTimer(UINT tid)
	{
		switch (tid)
		{
		case CIRCLE_TIMER:
			{
				int x = RAD * sin(double(angle)/PI);
				int y = RAD * cos(double(angle)/PI);
				SetCursorPos(x + center.x, y + center.y);
				angle = (++angle) % 360;
			}
			break;
		}
	}
};

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	ON_WM_LBUTTONUP()
	ON_WM_RBUTTONUP()
	ON_WM_TIMER()
END_MESSAGE_MAP()

class CMyApp: public CWinApp
{
	BOOL InitInstance()
	{
		CMainFrame * pfr = new CMainFrame;
		m_pMainWnd = pfr;
		pfr->Create(NULL, TEXT("Click in..."));
		pfr->ShowWindow(SW_SHOW);
		pfr->UpdateWindow();
		return TRUE;
	}
};

CMyApp theApp;
